import { useRequest } from '@umijs/max';
import { Select, TreeSelect } from 'antd';
import { useEffect } from 'react';
import { queryDepsV2 } from '@/services/approval';

function DepartmentField(props) {
  const { value, onChange, disabled = false } = props;
  // const { depList, run, loading } = useModel('depList');
  // 新建合同时，选择本部时，需要用另一个接口请求部门数据
  const { data, run, loading } = useRequest(queryDepsV2, {
    manual: true,
    formatResult: (response) => {
      return response.data?.map((item) => {
        return { value: item.ID, label: item.Name };
      });
    },
  });

  const onChangeValue = (newValue) => {
    onChange(String(newValue));
  };
  useEffect(() => {
    run();
  }, []);

  return (
    <Select
      showSearch
      // multiple
      allowClear
      defaultValue={value ? Number(value) : undefined}
      dropdownStyle={{
        maxHeight: 400,
        overflow: 'auto',
      }}
      loading={loading}
      style={{ width: '100%' }}
      placeholder="请选择部门"
      options={data}
      onChange={onChangeValue}
      disabled={disabled}
    />
  );
}

export default DepartmentField;
