import React from 'react';
import { InputNumber } from 'antd';

function NumberField(props) {
  const { onChange, disabled, unit, size, width } = props;

  return (
    <InputNumber
      size={size}
      style={{ width: '100%', padding: size === 'small' ? '4px' : '0' }}
      disabled={disabled}
      formatter={(value) => `${value}${unit || ''}`}
      onChange={(e) => {
        onChange?.(e ? String(e) : 0, props.id, props.label);
      }}
    />
  );
}

export default NumberField;
